<?php 
namespace App\Entities\Procedimento;

use App\Utils\Entity;

class Procedimento extends Entity
{
    protected $id;
    protected $descricao;
    protected $id_tipo_procedimento;
    protected $criado_em;
    protected $alterado_em;
    protected $criado_por;
    protected $alterado_por;

    public static function builder() : ProcedimentoBuilder
    {
        return (new ProcedimentoBuilder);
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getIdTIPOPROCEDIMENTO(): int
    {
        return $this->id_tipo_procedimento;
    }

    public function getCriadoEm(): ?string
    {
        return $this->criado_em;
    }

    public function getAlteradoEm(): ?string
    {
        return $this->alterado_em;
    }

    public function getCriadoPor(): ?string
    {
        return $this->criado_por;
    }

    public function getAlteradoPor(): ?string
    {
        return $this->alterado_por;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdTIPOPROCEDIMENTO(int $id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }

    public function setCriadoEm(?string $criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    public function setAlteradoEm(?string $alterado_em): void
    {
        $this->alterado_em = $alterado_em;
    }

    public function setCriadoPor(?string $criado_por): void
    {
        $this->criado_por = $criado_por;
    }

    public function setAlteradoPor(?string $alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

}